# workadventure

## Description

Ce projet a pour but de déployer la stack workadventure (https://github.com/thecodingmachine/workadventure) en auto-hébergement.

## Pré-requis

Pour déployer cette stack, vous aurez besoin:
- Une machine pour héberger le serveur (proc 3Ghz, 4Go ram minimum)
- Un nom de domaine pour pointer vers votre serveur
- L'accès à votre box internet pour la redirection des ports

## Configuration / Installation

> Note: Si vous utilisez déjà Nginx en mode applicatif, utiliser le reverse-proxy.conf pour faire votre virtualhost qui devrat pointer vers l'IP du conteneur Traefik sur le docker network (voir plus bas)

### Nginx proxy manager

```bash
cd nginx-proxy-manager/
docker-compose up -d
```

- L'interface est disponible à cette adresse:
http://your-ip-or-domain:81

- identifiants:
    - user: admin@example.com
    - mdp: changeme

### Workadventure

- Renseigner le nom de domaine aux quatres endroits:
```bash
cd workadventure/
nano .env
```

- Récupérer le endpoint de la stack:
```bash
docker network list
docker network inspect <your workadventure network name>
```

### Nginx-proxy-manager 2

- Sur l'interface web du Nginx-proxy-manager créer une "Proxy Host entry"

... IMAGE ...

- Renseigner votre nom de domaine dans l'URL

- Renseigner le endpoint dans la config du Nginx proxy manager avec le port 9999

- Cocher les cases Block Common Exploits et Websockets, puis sauvegarder

... IMAGE ...

- Créer les certificats SSL:

... IMAGE 1 ...

... IMAGE 2 ...

... IMAGE 3 ...

### Deployer

```bash
# NGINX PROXY MANAGER
cd nginx-proxy-manager/
docker-compose up -d

# WORKADVENTURE
cd workadventure/
docker-compose up -d
```

### Map building

tuto: https://workadventu.re/map-building/

## Roadmap

- SSO login
- Faire une map de fou!

## Contributing

- Me
- The others

## License

... OPEN SOURCE GPL3
